Modify

Opened 6 years ago

Closed 6 years ago

Last modified 2 years ago

#9367 closed enhancement (fixed)

opening_hours - upgrade validator so that it will can fix missing minutes in automatic way

Reported by: mkoniecz Owned by: team
Priority: normal Milestone: 13.12
Component: Core validator Version:
Keywords: Cc:

Description

Example:

Mo,Tu 04-17

is prettified by http://robin.de.marissa.hostorama.ch/osm/opening_hours.js/demo.html to

Mo,Tu 04:00-17:00

and it seems that https://github.com/ypid/opening_hours.js is used anyway by JOSM so update or better integration should add this functionality

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-11-24 02:34:47
Last Changed Author: simon04
Revision: 6409
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-11-23 20:46:44 +0100 (Sat, 23 Nov 2013)
Last Changed Rev: 6409

Identification: JOSM/1.5 (6409 en_GB) Windows 7 32-Bit
Memory Usage: 63 MB / 247 MB (24 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) Client VM
Dataset consistency test: No problems found

Plugin: OpeningHoursEditor (29854)
Plugin: notes (v0.6)

Attachments (0)

Change History (3)

comment:1 Changed 6 years ago by simon04

Resolution: fixed
Status: newclosed

In 6420/josm:

fix #9367 - opening_hours - upgrade validator so that it will can fix missing minutes in automatic way

comment:2 Changed 6 years ago by Don-vip

Milestone: 13.12 (6502)

comment:3 Changed 2 years ago by stoecker

Milestone: 13.12 (6502)13.12

Milestone renamed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.